<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	<ui:define name="title">
		<h:outputText value="#{msg['pages.cadastraUsuario.title']}" />
	</ui:define>
	

	<ui:define name="principal">
	 
	 <h:form id="formUsuario">
	 
	 	<div style="
	 				width:auto;
	 				height:auto;
	 				border: 5px solid black;
	 				position:absolute; left:280px;
	 				padding:10px;">
	 	
	 		<p:outputLabel value="#{msg['pages.cadastraUsuario.nome']}: "/>
	 		<p:inputText value="#{usuarioManagedBeans.usuario.nome}" size="40"/>
	 		<BR /><BR />
	 		
	 		<p:outputLabel value="#{msg['pages.cadastraUsuario.email']}: "/>
	 		<p:inputText value="#{usuarioManagedBeans.usuario.email}" size="40"/>
	 		<BR /><BR />
	 		
	 		<p:outputLabel value="#{msg['pages.cadastraUsuario.dataNascimento']}: "/>
	 		<p:calendar id="button" value="#{usuarioManagedBeans.usuario.dataNascimento}" showOn="button" />
	 		<BR /><BR />
	 		
    		<h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        		<p:outputLabel for="sexo" value="Sexo:" />
        		<p:selectOneRadio id="sexo" required="true" 
        		value="#{usuarioManagedBeans.usuario.sexo}">
            		<f:selectItems value="#{usuarioManagedBeans.sexo}"
					var="sexo" itemLabel="#{sexo.descricao}" itemValue="#{sexo}"/>
       			</p:selectOneRadio>
    		</h:panelGrid>
    		
    		<h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        		<p:outputLabel for="tipo" value="Tipo:" />
        		<p:selectOneMenu id="tipo" required="true" 
        		value="#{usuarioManagedBeans.usuario.tipo}">
    				<f:selectItems value="#{usuarioManagedBeans.tipo}"
    				var="tipo" itemLabel="#{tipo.descricao}" itemValue="#{tipo}"/>
				</p:selectOneMenu>
    		</h:panelGrid>
	 		
	 		
	 		<p:outputLabel value="#{msg['pages.cadastraUsuario.endereco']}: "/>
	 		<p:inputText value="#{usuarioManagedBeans.usuario.endereco}" size="40"/>
	 		<BR /><BR />
	 		
	 		<p:outputLabel value="#{msg['pages.cadastraUsuario.telefoneFixo']}: "/>
	 		<p:inputText value="#{usuarioManagedBeans.usuario.telFixo}" size="10" style="margin:10px;"/>
	 		
	 		<p:outputLabel value="#{msg['pages.cadastraUsuario.telefoneMovel']}: "/>
	 		<p:inputText value="#{usuarioManagedBeans.usuario.telMovel}" size="10"/>
	 		<BR /><BR />
	 		
	 		<p:outputLabel value="#{msg['pages.cadastraUsuario.rg']}: "/>
	 		<p:inputText value="#{usuarioManagedBeans.usuario.rg}" size="10" style="margin:10px;"/>
	 		
	 		<p:outputLabel value="#{msg['pages.cadastraUsuario.cpf']}: "/>
	 		<p:inputText required="true" value="#{usuarioManagedBeans.usuario.cpf}" size="10"/>
	 		<BR /><BR />
	 		
	 		<p:outputLabel value="#{msg['pages.cadastraUsuario.cref']}: "/>
	 		<p:inputText value="#{usuarioManagedBeans.usuario.cref}" size="10"/>
	 		<BR /><BR />
	 		
			<!--  <h:form>        
    			<h:panelGrid columns="3" cellpadding="5">
        			<p:commandButton type="button" value="#{msg['pages.cadastraUsuario.captura']}"
        							 onclick="PF('pc').capture()"/>
        							
        			<p:photoCam widgetVar="pc" listener="#{photoCamView.oncapture}" update="photo"
        						/>
        			<p:outputPanel id="photo">
            		<p:graphicImage name="demo/images/photocam/#{photoCamView.filename}.jpeg" rendered="#{not empty photoCamView.filename}"/>
        			</p:outputPanel>
   				 </h:panelGrid>
			</h:form>
	 		
	 		<p:fileUpload value="#{usuarioManagedBeans.usuario.foto}" mode="simple" skinSimple="true"/> -->
	 		
	 		<!-- 
	 		<p:outputLabel value="#{msg['pages.cadastraUsuario.captura']}: "/>
	 		<p:inputText value="#{usuarioManagedBeans.usuario.foto}" size="10"/> -->
	 		
	 		<p:commandButton value="#{msg['pages.cadastraUsuario.salvar']}"
						 update=":formUsuario"
						 action="#{usuarioManagedBeans.salvar}"/>
			<BR/><BR/>
	 	</div>	
   
	 </h:form>
   
	 </ui:define>
	 </ui:composition>